
QGIS Application - Bug report #11601

QGis and Saga incompatible?

2014-11-08 05:48 AM - vince -

Status: Closed

Priority: Normal

Assignee:

Category: Processing/SAGA

Affected QGIS version:2.8.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: wontfix

Crashes QGIS or corrupts data:No Copied to github as #: 19858

Description

I have updated to both QGis 2.6 and SAGA 2.1.3 and cannot run any Saga command from within QGis anymore.

It seems the SAGA ‘ shapes_polygons ’ command has changed syntax, and the -POLYGON option is no more recognized.

The ‘description.txt’ file maybe should be updated, or a new file 2.1.3_shape_polygon be created?

History

#1 - 2014-11-08 05:54 AM - Giovanni Manghi

- Resolution set to wontfix

- Subject changed from QGis 2.6 and Saga 2.1.3 incompatible? to Update 

- Category set to Processing/SAGA

- Status changed from Open to Closed

- Operating System deleted (OS X)

- OS version deleted (10.10)

as long as SAGA devs will change the parameters in their tools it will be a nightmare to maintain that tools working in qgis, especially in between qgis

releases. We are thinking about possible solutions, but anyway it is not a qgis "issue". Won't fix this at least for now, SAGA supported versions in qgis 2.6

are 2.0.8 and 2.1.2 and in latter there may be a few modules that were not updated in time (from 2.0.8 or 2.1.0 definitions). We are anyway aware that there

are modules that need deefinition updates and there's no need to file tickets.

in any case you can easily fix this issue by manually editing SAGA modules description files (are .txt files).

on Linux are in  /usr/share/qgis/python/plugins/processing/algs/saga/description/

#2 - 2014-11-08 06:41 AM - vince -

Ciao!

I agree a shifting API is a major nuisance. However, it seems that particular module ‘shape_polygon’ is somehow called by every other SAGA tool,

wherefore none of the tools do work anymore. I don't particularly care, but as the Macports maintainer for both QGIS and SAGA, I had somehow to bring

this issue up, just to be able to answer myself to any bug report that may spring up in the near future.

Grazie mille per la risposta, comunque.

E grazie per tutto il lavoro su questo software!

#3 - 2014-11-08 08:56 AM - Giovanni Manghi

vince - wrote:
Ciao!

I agree a shifting API is a major nuisance. However, it seems that particular module ‘shape_polygon’ is somehow called by every other SAGA tool,

wherefore none of the tools do work anymore. I don't particularly care, but as the Macports maintainer for both QGIS and SAGA, I had somehow to

bring this issue up, just to be able to answer myself to any bug report that may spring up in the near future.

I see, anyway there is not really much we can do if they change so quickly. Supported SAGA versions in qgis 2.6 are 2.0.8 and 2.1.2, and as i said in the

latter there may be some module that would need a change.

#4 - 2015-03-04 10:28 AM - vince -

- Affected QGIS version changed from 2.6.0 to 2.8.1

It still does not work with 2.8.1. Is that normal? I see the SAGA (2.1.4) message next to the SAGA logo, the dialogs show up (they did not under 2.6.1) but

the execution still fails because of botched parameters. Is there anything I’ve missed?

#5 - 2015-03-04 02:54 PM - Jürgen Fischer

- Subject changed from Update  to QGis and Saga incompatible?

#6 - 2015-03-05 05:17 PM - Giovanni Manghi

vince - wrote:

It still does not work with 2.8.1. Is that normal? I see the SAGA (2.1.4) message next to the SAGA logo, the dialogs show up (they did not under

2.6.1) but the execution still fails because of botched parameters. Is there anything I’ve missed?

on what platform do you work? it works ok here on both Linus and Windows.

#7 - 2015-03-05 09:56 PM - vince -

Giovanni Manghi wrote:

vince - wrote:

It still does not work with 2.8.1. Is that normal? I see the SAGA (2.1.4) message next to the SAGA logo, the dialogs show up (they did not under

2.6.1) but the execution still fails because of botched parameters. Is there anything I’ve missed?

on what platform do you work? it works ok here on both Linus and Windows.

MacOS. 

Has something been specifically added to this release to handle Saga 2.1.4?

Thanks for the answer!

#8 - 2015-03-06 12:50 AM - Giovanni Manghi

Has something been specifically added to this release to handle Saga 2.1.4?

Thanks for the answer!
Saga 2.1.4 is supported, as well 2.1.3 and 2.1.2. and they work fine on Linux and Windows, on Mac I can't test (don't have and don't know anyone to ask

to), sorry.

#9 - 2015-03-06 02:20 AM - vince -

Ok – it seems something is wrong with saga_cmd. It does not recognise the tool asked for, but for some reason always defaults to the same. Going to see

that with Saga developers, assuming they want to fix it. 

Molte grazie per le risposte.
